Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0006047 [DCSS] Bug Report trivial always 2012-08-07 20:17 2012-08-22 11:37
Reporter ZRN View Status public  
Assigned To galehar
Priority normal Resolution done  
Status resolved   Product Branch 0.11 ancient branch
Summary 0006047: Moving into dangerous cloud with an invisible enemy does not prompt for movement
Description Normally when the player attempts to move into a dangerous cloud, it prompts the player with "Really walk into that cloud?" However, if there's an invisible enemy in the cloud then no prompt is given and the player makes an attack on that monster. It should prompt if the player wants to walk into the cloud before making the attack, otherwise the player can attempt to move into all adjacent clouds without wasting a turn and find the enemy. If a player thinks they know where an enemy is, they can ctrl+direction to attack without the prompt.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0019450)
ion_frigate (reporter)
2012-08-07 23:58

Don't clouds usually give an unambiguous location for invisible monsters, through "strange disturbances"? If that location is in fact unambiguous, I'd say leave things as they are. If not, I'd say make it unambiguous: clouds are opaque enough that invisible monsters' locations should be pretty obvious in them.
(0019451)
ZRN (reporter)
2012-08-08 00:58

Mephitic clouds display a strange disturbance for invisible monsters, but other clouds do not.
(0019453)
ion_frigate (reporter)
2012-08-08 03:20

Certainly fog does, both from the scroll and scripted; I remember I first realized you could find invisible monsters that way in one of the old Sprint maps that had just that. I'd argue that all clouds should; perhaps it could even show the genus of the monster (as happens when an invisible monster is hit by sticky flame or corona). This should also apply to players, of course.
(0019609)
ZRN (reporter)
2012-08-19 04:56

In addition to this, similarly if you try to walk into a poison/meph cloud while wearing an unidentified ring of resist poison, it does not prompt and allows you to move into the cloud. So essentially one could try out each un-id'd ring by attempting to move into mephitic cloud to see if it is resist poison. Even though you could do the same thing even if the game did give you a prompt, it just seems a little inconsistent. It seems there a lot of inconsistencies with cloud prompts. Also I think in this specific situation it should id the ring.
(0019665)
galehar (administrator)
2012-08-22 11:37

Fixed. The no-prompt when wearing unided resistance, there's another issue open: 0005295

- Issue History
Date Modified Username Field Change
2012-08-07 20:17 ZRN New Issue
2012-08-07 23:58 ion_frigate Note Added: 0019450
2012-08-08 00:58 ZRN Note Added: 0019451
2012-08-08 03:20 ion_frigate Note Added: 0019453
2012-08-19 04:56 ZRN Note Added: 0019609
2012-08-21 23:31 galehar Issue Monitored: galehar
2012-08-22 11:37 galehar Note Added: 0019665
2012-08-22 11:37 galehar Status new => resolved
2012-08-22 11:37 galehar Fixed in Branch => 0.11 pre-release branch
2012-08-22 11:37 galehar Resolution open => done
2012-08-22 11:37 galehar Assigned To => galehar


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker